Subject: Re: bug#16574: 24.3.50; icon not shown on the splash screen (mac osx)

From: Darren Hoo <[email-masked]>
Date: Tue, 28 Jan 2014 12:54:46 +0800

On Tue, Jan 28, 2014 at 10:54 AM, Glenn Morris <[email-masked]> wrote:

> Darren Hoo wrote:
>
> > open /Applications/Emacs.app --args -q
> >
> > the emacs icon on the fancy splash screen (*GNU Emacs*) is missing, try
> to
> > increase the frame size a little bit then press `c-h c-a', the icon is
> back,
> > however if decrease the frame size to some size less or equal to the
> initial
> > startup size and press `c-h c-a' the icon is lost again.
>
> I don't think this is a bug, and AFAIK it has been like this for some time.
> The image is not shown if the frame seems to be too small.
> See use-fancy-splash-screens-p.
>

OK, I see.
Though use-fancy-splash-screens-p is not strictly correct on this.
If  I force it to use splash screen:

(defun use-fancy-splash-screens-p () t)

And examine these values of the splash screen on the initial startup
frame:

(window-pixel-height)
 => 476

(cdr (window-text-pixel-size
      (selected-window) nil nil nil nil t)) ; include mode-line
 => 462

it has plenty room for display.